//
// AlerteMairie.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation


open class AlerteMairie: JSONEncodable {
    public var id: String?
    public var dateDebutAlerte: Date?
    public var fateFinAlerte: Date?
    public var texteAlerte: String?
    public var quartiersAlertes: [Quartier]?

    public init() {}

    // MARK: JSONEncodable
    open func encodeToJSON() -> Any {
        var nillableDictionary = [String:Any?]()
        nillableDictionary["id"] = self.id
        nillableDictionary["dateDebutAlerte"] = self.dateDebutAlerte?.encodeToJSON()
        nillableDictionary["fateFinAlerte"] = self.fateFinAlerte?.encodeToJSON()
        nillableDictionary["texteAlerte"] = self.texteAlerte
        nillableDictionary["quartiersAlertes"] = self.quartiersAlertes?.encodeToJSON()
        let dictionary: [String:Any] = APIHelper.rejectNil(nillableDictionary) ?? [:]
        return dictionary
    }
}
